Update google compute-image-packages to 20171129

Bug #1735793 reported by Balint Reczey on 2017-12-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gce-compute-image-packages (Ubuntu)
High
Balint Reczey
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

[Impact]

compute-image-packages is provided by Google for installation within guests that run on Google Compute Engine. It is a collection of tools and daemons, packaged as gce-compute-image-packages, that ensure that the Ubuntu images published to GCE run properly on their platform.

Cloud platforms evolve at a rate that can't be handled in six-month increments, and they will often develop features that they would like to be available to customers who don't want to upgrade from earlier Ubuntu releases. As such, updating gce-compute-image-packages to more recent upstream releases is required within all Ubuntu releases, so they continue to function properly in their environment.

With this release we also add a new binary package to the suite - google-compute-engine-oslogin which is for a future feature of using OS Login on GCE VM instances.

[Test Case]

When a new version of gce-compute-image-packages is uploaded to -proposed, the following will be done:

 * an image based on -proposed will be built for GCE and published to the ubuntu-os-cloud-devel project
 * the CPC team will write new automated tests to cover new testable functionality (if any) in the new package
 * the automated testing that the CPC team normally runs against GCE images before they are published will be run against the -proposed image
 * the GCE team will be asked to validate that the new package addresses the issues it is expected to address, and that the image passes their internal image validation.

If all the testing indicates that the image containing the new package is acceptable, verification will be considered to be done.

[Other Information]

This bug is used for tracking of releasing the new upstream version for all supported series, as per the approved policy mentioned in the following MRE:

https://wiki.ubuntu.com/gce-compute-image-packages-Updates

Balint Reczey (rbalint) on 2017-12-01
Changed in gce-compute-image-packages (Ubuntu):
assignee: nobody → Balint Reczey (rbalint)
importance: Undecided → High
status: New → In Progress
Balint Reczey (rbalint) on 2017-12-01
Changed in gce-compute-image-packages (Ubuntu):
status: In Progress → Fix Released

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20171129+dfsg1-0ubuntu1~17.10.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gce-compute-image-packages (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20171129+dfsg1-0ubuntu1~17.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gce-compute-image-packages (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed-zesty
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20171129+dfsg1-0ubuntu1~16.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gce-compute-image-packages (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Changed in gce-compute-image-packages (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Łukasz Zemczak (sil2100) wrote :

Hello Balint, or anyone else affected,

Accepted gce-compute-image-packages into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gce-compute-image-packages/20171129+dfsg1-0ubuntu1~14.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Francis Ginther (fginther) wrote :

The following images in the ubuntu-os-cloud-devel project have been built and tested with these packages:

daily-ubuntu-lp1735793-1404-trusty-v20171205
daily-ubuntu-lp1735793-1604-xenial-v20171201
daily-ubuntu-lp1735793-1704-zesty-v20171201
daily-ubuntu-lp1735793-1710-artful-v20171201

They have passed our automated testing and manual verification.

Zach Marano (zmarano) wrote :

Looks good to me- please proceed.

tags: added: verification-done verification-done-artful verification-done-trusty verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-artful verification-needed-trusty verification-needed-xenial verification-needed-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20171129+dfsg1-0ubuntu1~17.10.0

---------------
gce-compute-image-packages (20171129+dfsg1-0ubuntu1~17.10.0) artful; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.
    - Fix home directory creation PAM config.
  * Update symlink to shared library with updated revision
  * Use -I/usr/include/json-c for building tests
  * Backport to Artful (LP: #1735793)

  [ Ludovic Gasc ]
  * Add systemd as valid ntp daemon

 -- Balint Reczey <email address hidden> Fri, 01 Dec 2017 19:40:05 +0100

Changed in gce-compute-image-packages (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gce-compute-image-packages has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20171129+dfsg1-0ubuntu1~17.04.0

---------------
gce-compute-image-packages (20171129+dfsg1-0ubuntu1~17.04.0) zesty; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.
    - Fix home directory creation PAM config.
  * Update symlink to shared library with updated revision
  * Use -I/usr/include/json-c for building tests
  * Backport to Zesty (LP: #1735793)

  [ Ludovic Gasc ]
  * Add systemd as valid ntp daemon

 -- Balint Reczey <email address hidden> Tue, 05 Dec 2017 14:06:17 +0100

Changed in gce-compute-image-packages (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20171129+dfsg1-0ubuntu1~16.04.0

---------------
gce-compute-image-packages (20171129+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.
    - Fix home directory creation PAM config.
  * Update symlink to shared library with updated revision
  * Use -I/usr/include/json-c for building tests
  * Backport to Xenial (LP: #1735793)

  [ Ludovic Gasc ]
  * Add systemd as valid ntp daemon

 -- Balint Reczey <email address hidden> Tue, 05 Dec 2017 14:11:20 +0100

Changed in gce-compute-image-packages (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gce-compute-image-packages - 20171129+dfsg1-0ubuntu1~14.04.0

---------------
gce-compute-image-packages (20171129+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.
    - Fix home directory creation PAM config.
  * Update symlink to shared library with updated revision
  * Use -I/usr/include/json-c for building tests
  * Backport to Trusty (LP: #1735793)
    - Retain the delta between devel and trusty as those are necessary for the
      package to build and work.
    - Revert adding systemd as valid ntp daemon

  [ Ludovic Gasc ]
  * Add systemd as valid ntp daemon

 -- Balint Reczey <email address hidden> Tue, 05 Dec 2017 14:16:22 +0100

Changed in gce-compute-image-packages (Ubuntu Trusty):
status: Fix Committed → Fix Released
tags: added: id-5a207ee2e5af23ac7da099cf
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers